## com.google.debugging.sourcemap
Interface SourceMapping

All Known Subinterfaces:
  SourceMapConsumer, SourceMappingReversable

All Known Implementing Classes:
  SourceMapConsumerV1, SourceMapConsumerV2, SourceMapConsumerV3

    public interface SourceMapping

Interface for provide a way of mapping (line, column) positions back to positions in the original (uncompiled) source code.

Method Summary
`Mapping.OriginalMapping` | `getMappingForLine(int lineNumber, int columnIndex)` Returns the original mapping for the line number and column position found in the source map.

Method Detail

### getMappingForLine

    Mapping.OriginalMapping getMappingForLine(int lineNumber,
                                              int columnIndex)

  Returns the original mapping for the line number and column position found in the source map. Returns null if none is found.

  Parameters:
    `lineNumber` - The line number, with the first being '1'.
    `columnIndex` - The column index, with the first being '1'.